GET /tax/entries/\{id\}
GET/tax/entries/:id
GET /tax/entries/{id}
Request
Path Parameters
id int64required
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
id int64nullable
type stringnullable
currency stringnullable
tax_rate double
tax_rate_rc doublenullable
tax_base_in double
tax_base_in_leg double
tax_base_out double
tax_base_out_leg double
tax_amount_in double
tax_amount_in_leg double
tax_amount_out double
tax_amount_out_leg double
tax_amount_claim double
tax_amount_claim_leg double
tax_deduction_ratio doublenullable
tax_return_base_in stringnullable
tax_return_base_out stringnullable
tax_return_amount_claim stringnullable
tax_return_amount_out stringnullable
tax_control_statement stringnullable
tax_eu_sales_report stringnullable
is_reverse_charge boolean
date_tax_applied datenullable
transaction
object
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
type stringnullable
no stringnullable
vendor_doc_no stringnullable
credited_doc_no stringnullable
currency stringnullable
date_issued datenullable
date_taxable datenullable
date_tax_applied datenullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
transaction_type
object
id int32nullable
name stringnullable
associated_payment_cards string[]nullable
description stringnullable
tax_fx_rate doublenullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
jurisdiction
object
country stringnullable
region stringnullable
subregion stringnullable
row
object
description stringnullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
tax
object
id int64
code stringnullable
country stringnullable
region stringnullable
subregion stringnullable
name stringnullable
tax_return_stats
object
total_count int32
first_period stringnullable
first_tax_return_id int64
last_period stringnullable
last_tax_return_id int64
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}
- Schema
- Example (from schema)
Schema
id int64nullable
type stringnullable
currency stringnullable
tax_rate double
tax_rate_rc doublenullable
tax_base_in double
tax_base_in_leg double
tax_base_out double
tax_base_out_leg double
tax_amount_in double
tax_amount_in_leg double
tax_amount_out double
tax_amount_out_leg double
tax_amount_claim double
tax_amount_claim_leg double
tax_deduction_ratio doublenullable
tax_return_base_in stringnullable
tax_return_base_out stringnullable
tax_return_amount_claim stringnullable
tax_return_amount_out stringnullable
tax_control_statement stringnullable
tax_eu_sales_report stringnullable
is_reverse_charge boolean
date_tax_applied datenullable
transaction
object
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
type stringnullable
no stringnullable
vendor_doc_no stringnullable
credited_doc_no stringnullable
currency stringnullable
date_issued datenullable
date_taxable datenullable
date_tax_applied datenullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
transaction_type
object
id int32nullable
name stringnullable
associated_payment_cards string[]nullable
description stringnullable
tax_fx_rate doublenullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
jurisdiction
object
country stringnullable
region stringnullable
subregion stringnullable
row
object
description stringnullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
tax
object
id int64
code stringnullable
country stringnullable
region stringnullable
subregion stringnullable
name stringnullable
tax_return_stats
object
total_count int32
first_period stringnullable
first_tax_return_id int64
last_period stringnullable
last_tax_return_id int64
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}
- Schema
- Example (from schema)
Schema
id int64nullable
type stringnullable
currency stringnullable
tax_rate double
tax_rate_rc doublenullable
tax_base_in double
tax_base_in_leg double
tax_base_out double
tax_base_out_leg double
tax_amount_in double
tax_amount_in_leg double
tax_amount_out double
tax_amount_out_leg double
tax_amount_claim double
tax_amount_claim_leg double
tax_deduction_ratio doublenullable
tax_return_base_in stringnullable
tax_return_base_out stringnullable
tax_return_amount_claim stringnullable
tax_return_amount_out stringnullable
tax_control_statement stringnullable
tax_eu_sales_report stringnullable
is_reverse_charge boolean
date_tax_applied datenullable
transaction
object
id int64nullable
uid uuidnullable
created_at date-timenullable
edited_at date-timenullable
type stringnullable
no stringnullable
vendor_doc_no stringnullable
credited_doc_no stringnullable
currency stringnullable
date_issued datenullable
date_taxable datenullable
date_tax_applied datenullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
transaction_type
object
id int32nullable
name stringnullable
associated_payment_cards string[]nullable
description stringnullable
tax_fx_rate doublenullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
jurisdiction
object
country stringnullable
region stringnullable
subregion stringnullable
row
object
description stringnullable
tax_deduction_ratio doublenullable
net_deduction_ratio doublenullable
tax
object
id int64
code stringnullable
country stringnullable
region stringnullable
subregion stringnullable
name stringnullable
tax_return_stats
object
total_count int32
first_period stringnullable
first_tax_return_id int64
last_period stringnullable
last_tax_return_id int64
{
"id": 0,
"type": "string",
"currency": "string",
"tax_rate": 0,
"tax_rate_rc": 0,
"tax_base_in": 0,
"tax_base_in_leg": 0,
"tax_base_out": 0,
"tax_base_out_leg": 0,
"tax_amount_in": 0,
"tax_amount_in_leg": 0,
"tax_amount_out": 0,
"tax_amount_out_leg": 0,
"tax_amount_claim": 0,
"tax_amount_claim_leg": 0,
"tax_deduction_ratio": 0,
"tax_return_base_in": "string",
"tax_return_base_out": "string",
"tax_return_amount_claim": "string",
"tax_return_amount_out": "string",
"tax_control_statement": "string",
"tax_eu_sales_report": "string",
"is_reverse_charge": true,
"date_tax_applied": "2024-07-29",
"transaction": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"edited_at": "2024-07-29T15:51:28.071Z",
"type": "string",
"no": "string",
"vendor_doc_no": "string",
"credited_doc_no": "string",
"currency": "string",
"date_issued": "2024-07-29",
"date_taxable": "2024-07-29",
"date_tax_applied": "2024-07-29",
"contact": {
"id": 0,
"business_name": "string",
"display_name": "string",
"reg_no": "string",
"vat_no": "string",
"tax_no": "string",
"address": {
"name": "string",
"company": "string",
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"region": "string",
"country": "string"
},
"email": "string",
"preferred_locale": "string",
"phone": "string"
},
"transaction_type": {
"id": 0,
"name": "string",
"associated_payment_cards": [
"string"
]
},
"description": "string",
"tax_fx_rate": 0,
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"jurisdiction": {
"country": "string",
"region": "string",
"subregion": "string"
},
"row": {
"description": "string",
"tax_deduction_ratio": 0,
"net_deduction_ratio": 0
},
"tax": {
"id": 0,
"code": "string",
"country": "string",
"region": "string",
"subregion": "string",
"name": "string"
},
"tax_return_stats": {
"total_count": 0,
"first_period": "string",
"first_tax_return_id": 0,
"last_period": "string",
"last_tax_return_id": 0
}
}
Loading...